Bug 1845821 - Azure-file mount fail on RHEL worker due to missing cifs-utils package
Summary: Azure-file mount fail on RHEL worker due to missing cifs-utils package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.3.z
Assignee: Russell Teague
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1845819
Blocks: 1845841
TreeView+ depends on / blocked
 
Reported: 2020-06-10 07:14 UTC by Wei Duan
Modified: 2020-07-01 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: On the Azure platform, the cifs-utils package is required to create volume mounts for pods. Consequence: Pod volume mounts fail if the package is not installed. Fix: Add cifs-utils to the list of packages installed for RHEL7 hosts when installing OpenShift. Result: Pod volume mounts are created successfully when deploying on the Azure platform.
Clone Of: 1827982
Environment:
Last Closed: 2020-07-01 15:02:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12182 0 None closed [release-4.3] Bug 1845821: Install cifs-utils, required for azure-file mounts 2020-06-26 14:22:24 UTC
Red Hat Product Errata RHBA-2020:2628 0 None None None 2020-07-01 15:02:49 UTC

Comment 3 Wei Duan 2020-06-23 07:59:13 UTC
Verified pass on 4.3.0-0.nightly-2020-06-20-130223.

[wduan@MINT config]$ oc debug node/wduan0622c-nhxbn-rhel-0
Starting pod/wduan0622c-nhxbn-rhel-0-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.1.8
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.2# rpm -qa | grep -i cifs-utils
cifs-utils-6.2-10.el7.x86_64

Comment 5 errata-xmlrpc 2020-07-01 15:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2628


Note You need to log in before you can comment on or make changes to this bug.